# do not build debug packages for now
%global debug_package %{nil}

%global version 2.0.10
%global revision 59.e905e55.2.0

Name:		mcg
Version:	%{version}
Release:	%{revision}%{?dist}
Summary:	"Multi cloud gateway CLI"

License:	ASL 2.0
URL:		https://www.noobaa.com/
Source0:	noobaa-operator-2.0-e905e55.tar.gz
Patch0:		hide_install_uninstall_from_cli.patch

BuildRequires:	rsync
BuildRequires:	go-compilers-golang-compiler

%description
"Multi cloud gateway CLI"

%prep
%setup -c
%patch0 -p1

%build
go version
CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
strip -s noobaa-operator

%install
# Use install that provides option for file permission
install -D -p -m 755 noobaa-operator %{buildroot}%{_bindir}/noobaa
install -D -p -m 644 doc/noobaa.1 %{buildroot}%{_mandir}/man1/noobaa.1

%files
%{_bindir}/noobaa

%doc doc/*
%{_mandir}/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Feb 13 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.10-59.e905e55.2.0
- Rebase to mcg-operator-2.0.10-59.e905e55.2.0

* Wed Feb 12 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.9-58.1156447.2.0
- Rebase to mcg-operator-2.0.9-58.1156447.2.0

* Thu Feb 06 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.9-57.fc8b9c6.2.0
- Rebase to mcg-operator-2.0.9-57.fc8b9c6.2.0

* Thu Feb 06 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.9-56.fc8b9c6.2.0
- Rebase to mcg-operator-2.0.9-56.fc8b9c6.2.0

* Thu Jan 16 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.9-54.e52b63e.2.0
- Rebase to mcg-operator-2.0.9-54.e52b63e.2.0

* Wed Jan 08 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.9-53.e52b63e.2.0
- Rebase to mcg-operator-2.0.9-53.e52b63e.2.0

* Wed Jan 08 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.9-52.e52b63e.2.0
- Rebase to mcg-operator-2.0.9-52.e52b63e.2.0

* Mon Dec 23 2019 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.9-51.db6a79b.2.0
- Rebase to mcg-operator-2.0.9-51.db6a79b.2.0

* Mon Dec 23 2019 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.9-50.db6a79b.2.0
- Rebase to mcg-operator-2.0.9-50.db6a79b.2.0

* Sun Oct 27 2019 Liran Mauda <lmauda@redhat.com> - 2.0.4-7
- building for x86_64 and ppc64le

* Sun Aug 25 2019 Liran Mauda <lmauda@redhat.com>
- Multi cloud gateway CLI
